Get a database snapshot
curl --request GET \
--url https://cloud.laravel.com/api/database-snapshots/{databaseSnapshot} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "database_snapshots",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"description": "<string>",
"storage_bytes": 123,
"pitr_enabled": true,
"pitr_ends_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
}
]
}Database Snapshots
Get a database snapshot
Get a specific database snapshot.
GET
/
database-snapshots
/
{databaseSnapshot}
Get a database snapshot
curl --request GET \
--url https://cloud.laravel.com/api/database-snapshots/{databaseSnapshot} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "database_snapshots",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"description": "<string>",
"storage_bytes": 123,
"pitr_enabled": true,
"pitr_ends_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The database snapshot identifier
Query Parameters
Available options:
database Was this page helpful?
⌘I

